# VisualStudioSolution

API Documentation: | `VisualStudioSolution`

Note: This class is incubating and may change in a future version of Gradle.

A visual studio solution, representing one or more native binaries in a build.

The content and location of the generate solution file can be modified by the supplied methods:

     plugins {
         id 'visual-studio'
     }

     model {
         visualStudio {
             solution {
                 solutionFile.location = "vs/${name}.sln"
                 solutionFile.withContent { TextProvider content ->
                     content.asBuilder().insert(0, "# GENERATED FILE: DO NOT EDIT\\n")
                     content.text = content.text.replaceAll("HideSolutionNode = FALSE", "HideSolutionNode = TRUE")
                 }
             }
         }
     }

### Properties

Property | Description
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
`solutionFile` | Incubating Configuration for the generated solution file.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### `TextConfigFile` `solutionFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Configuration for the generated solution file.